%define module_version 0.06
%define module_name Pick-TCL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(IPC/Run.pm) perl(Net/OpenSSH.pm) perl(Socket.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: class to run commands in a Pick TCL shell
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JB/JBURTON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
`Pick::TCL' provides a class to run arbitrary TCL (that's
*Terminal Control Language*, not the "other" TCL) commands in a
local or remote Pick or Pick-like environment,

=over 4

=item Local connections

require either the IPC::Run manpage or the Net::OpenSSH manpage to be installed and usable.

=item Remote connections

require the Net::OpenSSH manpage to be installed and usable.

=back

Note that `Pick::TCL' will croak if used when neither the IPC::Run manpage
nor the Net::OpenSSH manpage are usable.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

